package ru.vyatsu.qr_access_api.service

import org.springframework.stereotype.Service
import ru.vyatsu.models.QrCode
import ru.vyatsu.qr_access_api.repository.QrRepository

@Service
class QrSyncService(val qrRepository: QrRepository) {
    fun getQrCodes(): List<QrCode> {
        // TODO: Тут логика с извлечением клайма из jwt в котором идентификатор клиента лежит
        val extractedUnitId = "945c8621-9adc-4a49-bc56-10253d27c581"
        return qrRepository.getActualQrCodesByUnitId(extractedUnitId)
    }
}